Investigation: Related changes by category, including main and talk namespaces (for WikiProjects)
Open, NormalPublic

Description

It would help WikiProject members to have an easy way to monitor changes on all of the articles in their project, including both the main and talk namespaces.

Right now, you can use Special:RecentChangesLinked/Category:Foo to get RC for pages marked with a category, but this only shows results in the namespace where the category is linked. Since WikiProjects tag an article's talk page, the only items that show up in RCLinked are talk pages.

Example:
https://en.wikipedia.org/wiki/Special:RecentChangesLinked/Category:WikiProject_Occupational_Safety_and_Health_articles

Investigate creating a new special page (Special:RecentChangesCategory?) that would include an option to show recent changes to associated pages (the talk pages of content pages and the content pages of talk pages). This would allow the page to effectively act as a watchlist for WikiProjects.

Questions to answer:

  • How difficult would be to create such a page? Are there any blockers?
  • Are there other use cases for such a feature?

Description from merged task T105747

Use-case:
I'd like to use Special:RecentChangesLinked to filter the recent changes to articles that are associated to a particular WikiProject in Wikipedia. This would allow WikiProject members to more effectively patrol edits to pages related to their subject matter interests/expertise.

Proposal
It's a common practice in Wikipedias to have WikiProjects "claim" articles using links to categories. Special:RecentChangesLinked is capable of using such categories to filter the RecentChanges feed. However, categories are usually added to article's associated talk pages.

While Special:RecentChangesLinked has an option to include edits to the "Associated namespace", selecting this option does not does not result in Article changes being included. See this query as an example of what I thought would work.

I propose that Special:RecentChangesLinked be altered to include edits to content namespaces (even numbers -- e.g. 0) when the talk namespace (odd numbers -- e.g. 1) are linked to the target page (e.g. Category:WikiProject Biology articles) and the "Associated namespace" option is selected.


This card tracks a proposal from the 2015 Community Wishlist Survey: https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey
This proposal received 11 support votes, and was ranked #61 out of 107 proposals. https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Miscellaneous#Create_a_bot_to_show_changes_in_articles_for_each_WikiProject


See also:

DannyH created this task.Oct 29 2015, 10:57 PM
DannyH added a project: Community-Tech.
DannyH moved this task to Analysis on the Community-Tech board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2015, 10:57 PM
DannyH set Security to None.Oct 29 2015, 11:02 PM
DannyH added subscribers: kaldari, Harej.
Harej moved this task from Needs Triage to Requests on the WikiProject-X board.
DannyH edited the task description. (Show Details)Nov 6 2015, 12:30 AM
DannyH added a comment.Nov 6 2015, 6:36 PM

Doing a solo evaluation, cause it's a straightforward idea that we've talked about a bit.

Support: Medium
Feasibility: HIgh
Impact: Medium to High
Risk: Low

DannyH changed the title from "Related changes by category, including main and talk namespaces (for WikiProjects)" to "Investigation: Related changes by category, including main and talk namespaces (for WikiProjects)".Nov 6 2015, 9:09 PM

Making this an investigation card. We should figure out what some other use cases would be, and talk to people about how they would use it, before we go ahead and build a new page.

kaldari edited the task description. (Show Details)Nov 13 2015, 2:55 AM
Krenair added a subscriber: Krenair.
Stevietheman added a comment.EditedDec 1 2015, 7:43 PM

Why can't this be as simple as doing the following on Special:RecentChangesLinked/Category:WikiProject_Foo_articles?

  • Check a new checkbox named "Reveal associated pages" (since this recent changes page will only have talk pages -- this would show the associated subject pages)

I modified the above as the first change actually didn't make sense because 'all' shows all.

Harej moved this task from Requests to In Progress on the WikiProject-X board.Dec 2 2015, 3:46 PM
DannyH moved this task from Analysis to Freezer on the Community-Tech board.Dec 15 2015, 8:10 PM
DannyH moved this task from Freezer to Analysis on the Community-Tech board.
DannyH moved this task from Analysis to Freezer on the Community-Tech board.Dec 22 2015, 8:17 PM
Harej moved this task from In Progress to Radar on the WikiProject-X board.Jan 7 2016, 12:41 AM
DannyH edited the task description. (Show Details)Feb 6 2016, 12:14 AM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptFeb 6 2016, 12:14 AM

I built transcluding changes should be good enough until its implemented in MediaWiki.

I built transcluding changes should be good enough until its implemented in MediaWiki.

Note that this doesn't work for projects using the WikiProject United States template. Correct me if I'm wrong.

It takes:

  • 50 seconds to get 420,000 article transclusions
  • 8 seconds to mirror for talk pages
  • 10 seconds for read link lookups

So over a minute which is comparable to doing the same with Related Changes.
This could be sped up to 5 seconds by using my existing pre-computed projectbanner table, but would require a separate code path and wouldn't show any new pages between the weekly updates.

Quiddity edited the task description. (Show Details)Sep 9 2016, 5:32 PM
Quiddity edited the task description. (Show Details)Sep 9 2016, 6:39 PM
Quiddity added subscribers: Halfak, StudiesWorld, aaron and 3 others.
Quiddity added a subscriber: Quiddity.

Comments from merged task:

I used to run a bot that would recursively go through a WikiProject's category tree and dump a list of the subject pages so people could use RecentChangesLinked, and IIRC there were a few Toolserver tools that did this too.

But this request feels like a bad hack that we store WikiProject membership information on talk pages using antiquated templates, when we need something like T97210: MediaWiki extension for WikiProjects / on-wiki working groups instead.

I have no idea on how technically feasible this is though.

@Legoktm there is work on a project assessment database table that will be populated by a parser function. Ideally in the future there is a dedicated interface for this kind of thing but the approach to populate via parser function requires the least disruption. See T117142.

Quiddity edited the task description. (Show Details)Sep 9 2016, 7:01 PM